Retrieve information for a call

A code snippet that shows how to retrieve information for a call. The call to retrieve information for is identified via a UUID.

Example

Replace the following variables in the example code:

KeyDescription
VOICE_CALL_ID

The UUID of the call leg.

Prerequisites

Execute the following command at your terminal prompt to create the JWT for authentication:

export JWT=$(nexmo jwt:generate $PATH_TO_PRIVATE_KEY application_id=$NEXMO_APPLICATION_ID)

Write the code

Add the following to retrieve-info-for-a-call.sh:

curl "https://api.nexmo.com/v1/calls/"$VOICE_CALL_ID \
  -H "Authorization: Bearer $JWT" \

View full source

Run your code

Save this file to your machine and run it:

bash retrieve-info-for-a-call.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named retrieve-info-for-a-call.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_PRIVATE_KEY,
});

View full source

Write the code

Add the following to retrieve-info-for-a-call.js:

vonage.voice.getCall(VOICE_CALL_ID)
  .then((call) => console.log(call))
  .catch((error) => console.error(error));

View full source

Run your code

Save this file to your machine and run it:

node retrieve-info-for-a-call.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named RetrieveCallInfo and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the RetrieveCallInfo file:

val callDetails = client.voice.call(VOICE_CALL_ID).info()
println(callDetails)

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.voice with the package containing RetrieveCallInfo:

gradle run -Pmain=com.vonage.quickstart.kt.voice.RetrieveCallInfo

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named RetrieveCallInfo and add the following code to the main method:

VonageClient client = VonageClient.builder()
        .applicationId(VONAGE_APPLICATION_ID)
        .privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
        .build();

View full source

Write the code

Add the following to the main method of the RetrieveCallInfo file:

CallInfo details = client.getVoiceClient().getCallDetails(VOICE_CALL_ID);
System.out.println(details);

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.voice with the package containing RetrieveCallInfo:

gradle run -Pmain=com.vonage.quickstart.voice.RetrieveCallInfo

Prerequisites

Install-Package Vonage

Write the code

Add the following to RetrieveInfoForCall.cs:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

var response = await client.VoiceClient.GetCallAsync(VOICE_CALL_ID);

View full source

Prerequisites

composer require vonage/client

Write the code

Add the following to index.php:

require_once __DIR__ . '/../../vendor/autoload.php';

$keypair = new \Vonage\Client\Credentials\Keypair(file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH), VONAGE_APPLICATION_ID);
$client = new \Vonage\Client($keypair);

$call = $client->voice()->get(VONAGE_CALL_UUID);
echo json_encode($call->toArray());

View full source

Run your code

Save this file to your machine and run it:

php index.php

Prerequisites

pip install vonage python-dotenv

Write the code

Add the following to retrieve-info-for-a-call.py:

from vonage import Auth, Vonage
from vonage_voice import CallInfo

client = Vonage(
    Auth(
        application_id=VONAGE_APPLICATION_ID,
        private_key=VONAGE_PRIVATE_KEY,
    )
)

response: CallInfo = client.voice.get_call(VOICE_CALL_ID)
pprint(response)

View full source

Run your code

Save this file to your machine and run it:

python voice/retrieve-info-for-a-call.py

Prerequisites

gem install vonage

Write the code

Add the following to retrieve-info-for-a-call.rb:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: VONAGE_PRIVATE_KEY
)

response = client.voice.get(VOICE_CALL_ID)

View full source

Run your code

Save this file to your machine and run it:

ruby retrieve-info-for-a-call.rb

Try it out

You will need to:

  1. Set up a call and obtain the call UUID. You could use the 'connect an inbound call' code snippet to do this.
  2. Retrieve information for the call (this code snippet).